com.google.gwt.resources.client

## Interface ImageResource

- All Superinterfaces:
    ResourcePrototype

      public interface ImageResource
      extends ResourcePrototype

  Provides access to image resources at runtime.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ImageResource.ImageOptions` Specifies additional options to control how an image is bundled.
    `static class` | `ImageResource.RepeatStyle` Indicates that an ImageResource should be bundled in such a way as to support horizontal or vertical repetition.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Returns the height of the image.
    `int` | `getLeft()` Returns the horizontal position of the image within the composite image.
    `SafeUri` | `getSafeUri()` Returns the URL for the composite image that contains the ImageResource.
    `int` | `getTop()` Returns the vertical position of the image within the composite image.
    `java.lang.String` | `getURL()` Deprecated. Use `getSafeUri()` instead.
    `int` | `getWidth()` Returns the width of the image.
    `boolean` | `isAnimated()` Return `true` if the image contains multiple frames.

    - ### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

      `getName`

- - ### Method Detail

    - #### getHeight

          int getHeight()

      Returns the height of the image.

    - #### getLeft

          int getLeft()

      Returns the horizontal position of the image within the composite image.

    - #### getSafeUri

          SafeUri getSafeUri()

      Returns the URL for the composite image that contains the ImageResource.

    - #### getTop

          int getTop()

      Returns the vertical position of the image within the composite image.

    - #### getURL

          @Deprecated
          java.lang.String getURL()

      Deprecated. Use `getSafeUri()` instead.
      Returns the URL for the composite image that contains the ImageResource.

    - #### getWidth

          int getWidth()

      Returns the width of the image.

    - #### isAnimated

          boolean isAnimated()

      Return `true` if the image contains multiple frames.